/* @import url("https://fonts.googleapis.com/css2?family=Poppins:wght@200;300;400;500;600;700;800;900&display=swap"); */
@import url("https://fonts.googleapis.com/css2?family=Poppins:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&display=swap");
a {
  text-decoration: none;
}

body {
  font-family: "Poppins", sans-serif;
}

* {
  box-sizing: border-box;
  margin: 0;
  padding: 0;
  font-family: "Poppins", sans-serif;
}

.login-form {
  margin-top: 4.5rem;
}

.input {
  height: 100%;
  background: #232323;
  border-radius: 15px;
  width: 100%;
  padding-left: 1.3rem;
  outline: none;
}

.placeholder.big {
  z-index: 0;
}

.placeholder.small {
  display: none;
  transition: all 0.15s ease;
}

.input:focus ~ .placeholder.big,
.input:active ~ .placeholder.big {
  display: none;
}

.input:focus ~ .placeholder.small,
.input:active ~ .placeholder.small {
  transform: translateY(-12px);
  background-color: #1a202c;
  display: block;
}

.input::placeholder {
  color: white;
  opacity: 1;
}

.input:focus::placeholder {
  color: transparent;
}

.placeholder.big.inactive {
  display: none;
}

.placeholder.small.inactive {
  transform: translateY(-12px);
  background-color: #1a202c;
  display: block;
}

.remember {
  font-weight: 400;
  font-size: 12px;
  color: #a1a1a1;
  display: flex;
  align-items: center;
  cursor: pointer;
  margin-top: 0.2rem;
}

.remember > input {
  margin-right: 0.4rem;
}

.login-submit {
  background: #892cdc;
  border-radius: 50px;
  width: 100%;
  height: 60px;
  display: flex;
  align-items: center;
  justify-content: center;
  margin-top: 4rem;
  font-weight: 500;
  font-size: 26px;
  letter-spacing: -0.02em;
  color: #ffffff;
}

.contact-input,
.contact-input ~ textarea {
  width: 290px;
  height: 55px;
  background: #171717;
  border-radius: 10px;
  padding-left: 1rem;
  margin-top: 0.65rem;
  display: block;
}

.contact-input ~ textarea {
  height: 139px;
  overflow-y: scroll;
  padding-top: 1.5rem;
}

.contact-input ~ textarea + .button-container > button {
  font-size: 14px;
  line-height: 20px;
  color: #ffffff;
  background: #892cdc;
  border-radius: 30px;
  width: 162px;
  height: 50px;
  cursor: pointer;
}

.contact-input:first-child {
  margin-top: 1.3rem;
}

.playlist {
  width: 100%;
  height: 195px;
  background: #232323;
  border-radius: 10px;
  padding-left: 1.4rem;
  padding-top: 0.9rem;
  outline: none;
}

.edit-profile-input:focus ~ .edit-profile-placeholder,
.edit-profile-input:active ~ .edit-profile-placeholder {
  z-index: 2;
  transform: translateY(-12px);
  background-color: #1a202c;
}

.track {
  position: absolute;
  white-space: nowrap;
  will-change: transform;
  animation: marquee 15s linear infinite;
  width: 180%;
}

.clique-loader {
  animation: clique 1s linear infinite;
  /* display: none; */
  /* opacity: 1; */
}

.flutter-div {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  height: 100vh;
}

.flutterwave-button {
  cursor: pointer;
  position: relative;
  background-color: #f5a623;
  color: #fff;
  width: 180px;
  height: 44px;
  display: flex;
  justify-content: center;
  align-items: center;
  font-weight: 500;
  font-size: 0.9rem;
  letter-spacing: 1px;
  box-shadow: 0.5px 0.5px 1.5px 0 rgb(50 50 54 / 13%),
    0 0 1.5px 0.5px rgb(63 63 68 / 5%);
  border-radius: 3px;
  border: none;
  padding: 15px 0;
  transition: all 0.1s ease-in;
}

@keyframes clique {
  0% {
    opacity: 1;
  }
  50% {
    opacity: 0.1;
  }

  100% {
    opacity: 1;
  }
}

@keyframes marquee {
  from {
    transform: translateX(0);
  }
  to {
    transform: translateX(-50%);
  }
}

@media screen and (min-width: 400px) {
  .contact-input,
  .contact-input ~ textarea {
    width: 340px;
  }
}

@media screen and (min-width: 1100px) {
  .contact-input,
  .contact-input ~ textarea {
    width: 703px;
    height: 55px;
    border-radius: 13px;
  }

  .contact-input ~ textarea {
    height: 120px;
    overflow-y: scroll;
    padding-top: 0.9rem;
  }

  .contact-input ~ textarea + .button-container > button {
    width: 221px;
  }
}

/* @media (prefers-color-scheme: dark) {
    html {
        color-scheme: dark;
    }
    body {
        color: white;
        background: black;
    }
} */

#nprogress .bar {
  background: #892cdc !important;
}
.my-class {
  display: none !important;
}

/* {general text no wrap} */
.no-wrap {
  white-space: nowrap;
}

/* {for input date} */

input[type="date"]::-webkit-calendar-picker-indicator {
  display: none;
}

input[type="date"]::-webkit-datetime-edit {
  padding-left: 5px;
  text-transform: uppercase;
  font-size: 0.875rem;
}
